local function __add()
	if not managers.player:player_unit() then
		return
	end

	local equipped_unit = managers.player:player_unit():movement():current_state()._equipped_unit
	if equipped_unit and alive(equipped_unit) and equipped_unit == managers.player:equipped_weapon_unit() then
		local is_current_ammo_low = equipped_unit:base():get_ammo_remaining_in_clip()/equipped_unit:base():get_ammo_max_per_clip() <= 0.33
		local is_total_ammo_low = equipped_unit:base():get_ammo_total()/equipped_unit:base():get_ammo_max() <= 0.33
		local is_empty = equipped_unit:base():get_ammo_total() <= 0

		if not is_empty then
			if is_current_ammo_low and not is_total_ammo_low then
				managers.hud:_set_vfxs("low_ammo", {"total_low_ammo", "no_ammo"})
			elseif is_total_ammo_low then
				managers.hud:_set_vfxs("total_low_ammo", {"low_ammo", "no_ammo"})
			end
		else
			managers.hud:_set_vfxs("no_ammo", {"low_ammo", "total_low_ammo"})
		end

		managers.hud:remove_if_no_valid(is_current_ammo_low, is_total_ammo_low, is_empty)
	end
end

Hooks:PostHook(HUDTeammate, "set_ammo_amount_by_type", "set_ammo_amount_by_type___lwa", function(self)
	__add()
end)